Bug 216023 - www/rtv: Update to 1.14.1
Summary: www/rtv: Update to 1.14.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-13 10:44 UTC by Danilo G. Baio
Modified: 2017-01-17 16:23 UTC (History)
1 user (show)

See Also:


Attachments
rtv-1.14.1.patch (1.55 KB, patch)
2017-01-13 10:44 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2017-01-13 10:44:56 UTC
Created attachment 178854 [details]
rtv-1.14.1.patch

- Update to 1.14.1

Changelog:

Features

- The order-by option menu now triggers after a single '2' or '5' keystroke
  instead of needing to double press.

Bugfixes

- Mailcap now handles multi-part shell commands correctly, e.g. "emacs -nw"
- OS X no longer relies on $DISPLAY to check if there is a display available.
- Added error handling for terminals that don't support hiding the cursor.
- Fixed a bug on tmux that prevented scrolling when $TERM was set to
  "xterm-256color" instead of screen.

Documentation

- Added section to FAQ about garbled characters output by curses.


[Q/A]

portlint: OK (looks fine.)

testport:
   poudriere: i386|amd64 - 10.3 p15     (OK)
   poudriere: i386|amd64 - 11   p6      (OK)
   poudriere: i386|amd64 - 12   r311844 (OK)
Comment 1 commit-hook freebsd_committer 2017-01-17 16:22:26 UTC
A commit references this bug:

Author: olivierd
Date: Tue Jan 17 16:22:12 UTC 2017
New revision: 431751
URL: https://svnweb.freebsd.org/changeset/ports/431751

Log:
  Update to 1.14.1

  Changelog: https://github.com/michael-lazar/rtv/blob/v1.14.1/CHANGELOG.rst#1141-2017-01-12

  PR:		216023
  Submitted by:	Danilo G. Baio (maintainer)

Changes:
  head/www/rtv/Makefile
  head/www/rtv/distinfo
  head/www/rtv/files/patch-setup.py
Comment 2 Olivier Duchateau freebsd_committer 2017-01-17 16:23:16 UTC
Committed, thanks!